Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge
Interface OWLIndividual

All Superinterfaces:
  Argument, AtomArgument, BuiltInArgument, Comparable, IndividualArgument, ObjectValue, OWLObject, OWLPropertyValue, ResultValue

All Known Implementing Classes:
  OWLIndividualImpl

    public interface OWLIndividual

extends OWLObject, OWLPropertyValue, IndividualArgument, ObjectValue

Method Summary
`Set<OWLClass>` | `getDefiningClasses()`
`Set<OWLClass>` | `getDefiningEquivalentClasses()`
`Set<OWLClass>` | `getDefiningEquivalentClassSuperclasses()`
`Set<OWLClass>` | `getDefiningSuperclasses()`
`String` | `getIndividualName()`
`String` | `getPrefixedIndividualName()`
`Set<OWLIndividual>` | `getSameAsIndividuals()`

Methods inherited from interface edu.stanford.smi.protegex.owl.swrl.bridge.OWLObject
`write2OWL`

Methods inherited from interface edu.stanford.smi.protegex.owl.swrl.bridge.BuiltInArgument
`getBuiltInResult, getPrefixedVariableName, getVariableName, isUnbound, isVariable, setBuiltInResult, setUnbound, setVariableName`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getIndividualName

    String getIndividualName()

  Specified by:
    `getIndividualName` in interface `IndividualArgument`
  Specified by:
    `getIndividualName` in interface `ObjectValue`

### getPrefixedIndividualName

    String getPrefixedIndividualName()

  Specified by:
    `getPrefixedIndividualName` in interface `ObjectValue`

### getDefiningClasses

    Set<OWLClass> getDefiningClasses()

### getDefiningSuperclasses

    Set<OWLClass> getDefiningSuperclasses()

### getDefiningEquivalentClasses

    Set<OWLClass> getDefiningEquivalentClasses()

### getDefiningEquivalentClassSuperclasses

    Set<OWLClass> getDefiningEquivalentClassSuperclasses()

### getSameAsIndividuals

    Set<OWLIndividual> getSameAsIndividuals()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.